Skip to main content
PATCH
Share keypair to view for all users in project

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

123

region_id
integer
required

Region ID

Example:

7

keypair_id
string
required

Keypair ID

Example:

"36a7a97a-0672-4911-8f2b-92cd4e5b0d91"

Body

application/json
shared_in_project
boolean
required

Data for share(True)/unshare(False) Keypair between all users in project

Examples:

true

false

Response

200 - application/json

OK

public_key
string
required

Public part of the key. To generate public and private keys in the platform, do not specify the parameter in the request body.

Example:

"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDFHrnwGVBZs6q6vmTBzQFfzdRLQW8N6Rd0ogGe3h8tm83ZJLTTsF+1H4JcOvwI5ETkHMaFIWd2U15nHU5M7plE6UPRKfzy4rq6yI6cE4tojd3A9attMpbEEX7EbGKrbrb4AsjzxHKAVaREAb31ZplJkUlsiees25hTQXBcWQnOESlc9RCxZ/QQgNUUgqm7QGg7CNkL8Mpq9V4YaOhcFGWj0jXP1CL3g6Xe3xJo1CmUbkIOGUyAmrSfLEiy2O91iOUhbmYQyXksznNrT9O6uLkijf6syLZOdyAuUd/Z86eYXej4/YsvIA5eIFU4B6y9zOXEO2A81txPYMRAytYt7+e7 alice@alice"

shared_in_project
boolean
required

Keypair is shared for all users in the project

Example:

true

sshkey_id
string
required

Key ID, equal to sshkey_name

Example:

"36a7a97a-0672-4911-8f2b-92cd4e5b0d91"

sshkey_name
string
required

Keypair name

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
Example:

"alice"

state
enum<string>
required

Keypair state

Available options:
ACTIVE,
DELETING
Examples:

"ACTIVE"

"DELETING"

created_at
string<date-time> | null

Keypair creation datetime

Example:

"2022-06-16T17:05:50"

fingerprint
string | null

Key fingerprint

Example:

"86:75:ce:e7:e9:1e:f0:79:ec:6f:d8:92:9b:43:fc:4d"

private_key
string | null

Private part of the key

Example:

"<private_key>"

project_id
integer | null

Project ID

Example:

1